Ruby - Bug #4594

Don’'t depend on extension automagic
04/22/2011 11:41 AM - nwmcsween (Nathan McSween)

Status: Rejected
Assignee:

Target version:

ruby -v: 1.9.2 Backport:

Description

Extensions in ruby are built automatically by what is found at compile time, this is bad as dependencies won't be tracked w.r.t
package managers (yum, etc).

Also ext/Setup as per README reads as if extensions are built based on what is defined in ext/Setup (and logically what should
happen), doesn't happen

4. Remove comment mark(#) before the module names from ext/Setup (or

add module names if not present), if you want to link modules

statically.

If you don't want to compile non static extension modules
(probably on architectures which does not allow dynamic loading),
remove comment mark from the line "#option nodynamic" in
ext/Setup.

History

#1 - 05/06/2011 03:55 PM - naruse (Yui NARUSE)

Nathan McSween wrote:

Extensions in ruby are built automatically by what is found at compile time, this is bad as dependencies won't be tracked w.r.t package managers
(yum, etc).

If package managers want to manage ruby's bundled extension libraries, split them by package managers.
The NetBSD Packages Collection (pkgsrc) does it.

#2 - 06/26/2011 06:47 PM - naruse (Yui NARUSE)
- Status changed from Open to Rejected
